Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7100 - File corruption with filesystems mounted from IBM AIX 4.2.1
Summary: File corruption with filesystems mounted from IBM AIX 4.2.1
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-18 15:02 UTC by Luca Giuzzi
Modified: 2008-05-01 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-08 14:53:31 UTC


Attachments (Terms of Use)

Description Luca Giuzzi 1999-11-18 15:02:25 UTC
While compiling in a directory exported from an IBM AIX 4.2.1 server,
file corruption has been detected in a predictable way for the object
code generated by gcc. The problem does not present itself when
the directory is exported by a linux, Digital Unix (4.01E) or Solaris
(2.6+security fixes). Likewise, the problem is not visible when the
kernel being used is a 2.2.10.
It seems that this form of file corruption does not happen when simply
copying a file from the exported filesystem onto itself.

Comment 1 Cristian Gafton 2000-01-04 22:26:59 UTC
Assigned to dledford

Comment 2 Stephen Tweedie 2000-02-08 14:53:59 UTC
This sounds like a known AIX NFS server bug.  From memory, AIX cannot deal with
padded NFS packets, assuming that the NFS packet data length is equal to the IP
packet length.  See the report at

http://www.uwsg.indiana.edu/hypermail/linux/kernel/9911.0/0452.html

and the work-around at

http://www.uwsg.indiana.edu/hypermail/linux/kernel/9911.0/0549.html

There are a couple of NFS patches referenced at

http://www.uwsg.indiana.edu/hypermail/linux/kernel/9911.0/0498.html

but there is no guarantee that they will help.


Note You need to log in before you can comment on or make changes to this bug.